CVE-2021-45293

NameCVE-2021-45293
DescriptionA Denial of Service vulnerability exists in Binaryen 103 due to an Invalid memory address dereference in wasm::WasmBinaryBuilder::visitLet.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
binaryen (PTS)buster68-1vulnerable
bullseye99-3vulnerable
bookworm105-1fixed
sid108-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
binaryensource(unstable)104-1unimportant

Notes

https://github.com/WebAssembly/binaryen/issues/4384
https://github.com/WebAssembly/binaryen/pull/4388
https://github.com/WebAssembly/binaryen/commit/b1f6298ed8756bdc3336429c04b92ba58d000b49 (version_104)
Crash in CLI tool, no security impact

Search for package or bug name: Reporting problems